uniform sampler2D texture;
uniform float time = 1.0;
uniform float speedX = 3.0;
uniform float speedY = 0.0;
uniform float video = 0.0;
uniform float value1 = 0.3;
uniform float value2 = .50;
uniform float value3 = 2.0;
uniform float value4 = 2.0;
void main()
{
	float t = time;
    	vec2 uv = gl_TexCoord[0].xy;
		

    uv.x += step(uv.x, .5 ) * (0.5-uv.x) * 2.0;





	
	gl_FragColor = texture2D(texture, uv);   
}